[v-cloak] {
  display: none;
}

.user-can-drag {
  cursor: -webkit-grab;
  cursor: grab;
}

.is-dragging {
  // Important because plugin sets inline CSS
  opacity: 1!important;

  * {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    // !important to make sure no style can override this when dragging
    cursor: -webkit-grabbing!important;
    cursor: grabbing!important;
  }
}

.is-ghost {
  opacity: 0.3;
}

.dropdown-menu-issues-board-new {
  width: 320px;

  .dropdown-content {
    max-height: 150px;
  }
}

.issue-board-dropdown-content {
  margin: 0 8px 10px;
  padding-bottom: 10px;
  border-bottom: 1px solid $dropdown-divider-color;

  > p {
    margin: 0;
    font-size: 14px;
  }
}

.issue-boards-page {
  .page-with-sidebar {
    padding-bottom: 0;
  }
}

.boards-app {
  position: relative;
}

.boards-app-loading {
  width: 100%;
  font-size: 34px;
}

.boards-list {
  height: calc(100vh - 152px);
  width: 100%;
  padding-bottom: 25px;
  padding-right: ($gl-padding / 2);
  padding-left: ($gl-padding / 2);
  overflow-x: scroll;
  white-space: nowrap;

  @media (min-width: $screen-sm-min) {
    height: 409px; // Needed for PhantomJS
    height: calc(100vh - 290px);
    min-height: 409px;
    transition: width .2s;

    &.is-compact {
      width: calc(100% - 290px);
    }
  }
}

.board {
  display: inline-block;
  width: calc(85vw - 15px);
  height: 100%;
  padding-right: ($gl-padding / 2);
  padding-left: ($gl-padding / 2);
  white-space: normal;
  vertical-align: top;

  @media (min-width: $screen-sm-min) {
    width: 400px;
  }
}

.board-inner {
  height: 100%;
  font-size: $issue-boards-font-size;
  background: $gray-light;
  border: 1px solid $border-color;
  border-radius: $border-radius-default;
}

.board-header {
  border-top-left-radius: $border-radius-default;
  border-top-right-radius: $border-radius-default;

  &.has-border {
    border-top: 3px solid;
    margin-top: -1px;
    margin-right: -1px;
    margin-left: -1px;
    padding-top: 1px;
    padding-right: 1px;
    padding-left: 1px;

    .board-title {
      padding-top: ($gl-padding - 3px);
    }
  }
}

.board-inner-container {
  border-bottom: 1px solid $border-color;
  padding: $gl-padding;
}

.board-title {
  position: relative;
  margin: 0;
  padding: $gl-padding;
  font-size: 1em;
  border-bottom: 1px solid $border-color;
}

.board-delete {
  margin-right: 10px;
  padding: 0;
  color: $gray-darkest;
  background-color: transparent;
  border: 0;
  outline: 0;

  &:hover {
    color: $gl-link-color;
  }
}

.board-blank-state {
  height: calc(100% - 49px);
  padding: $gl-padding;
  background-color: $white-light;
}

.board-blank-state-list {
  list-style: none;

  > li:not(:last-child) {
    margin-bottom: 8px;
  }

  .label-color {
    position: relative;
    top: 2px;
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-right: 3px;
    border-radius: $border-radius-default;
  }
}

.board-list-component {
  height: calc(100% - 49px);
}

.board-list {
  height: 100%;
  margin-bottom: 0;
  padding: 5px;
  list-style: none;
  overflow-y: scroll;
  overflow-x: hidden;

  &.is-smaller {
    height: calc(100% - 136px);
  }
}

.board-list-loading {
  margin-top: 10px;
  font-size: (26px / $issue-boards-font-size) * 1em;
}

.card {
  position: relative;
  padding: 10px $gl-padding;
  background: $white-light;
  border-radius: $border-radius-default;
  box-shadow: 0 1px 2px $issue-boards-card-shadow;
  list-style: none;

  &:not(:last-child) {
    margin-bottom: 5px;
  }

  &.is-active {
    background-color: $row-hover;
  }

  .label {
    border: 0;
    outline: 0;
  }

  .confidential-icon {
    margin-right: 5px;
  }
}

.card-title {
  margin: 0;
  font-size: 1em;

  a {
    color: inherit;
    word-wrap: break-word;
  }
}

.card-footer {
  margin-top: 5px;
  line-height: 25px;

  .label {
    margin-right: 5px;
    font-size: (14px / $issue-boards-font-size) * 1em;
  }

  .avatar {
    margin-left: 0;
  }
}

.card-number {
  margin-right: 5px;
}

.issue-boards-search {
  width: 395px;

  .form-control {
    display: inline-block;
    width: 210px;
  }
}

.board-list-count {
  padding: 10px 0;
  color: $gl-text-color-secondary;
  font-size: 13px;

  > .fa {
    margin-right: 5px;
  }
}

.board-new-issue-form {
  margin: 5px;
}

.board-issue-count-holder {
  margin-top: -3px;

  .btn {
    line-height: 12px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
}

.board-issue-count {
  padding-right: 10px;
  padding-left: 10px;
  line-height: 21px;
  border-radius: $border-radius-base;
  border: 1px solid $border-color;

  &.has-btn {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-width: 1px 0 1px 1px;
  }
}

.boards-title-holder {
  padding: 25px 13px $gl-padding;

  .dropdown-menu {
    margin-top: -15px;
    margin-left: 8px;
  }
}

.boards-switcher {
  padding: 0;
  border: 0;
  outline: 0;
  background: none;
  font-size: 19px;
  font-weight: 600;

  > .fa {
    position: relative;
    top: 2px;
    margin-left: 5px;
  }
}

.board-selector-page-two {
  padding-left: 10px;
  padding-right: 10px;
  white-space: normal;
}

.board-delete-btns {
  padding-top: 12px;
  border-top: 1px solid $border-color;
}

.issue-boards-sidebar {
  &.right-sidebar {
    top: 0;
    bottom: 0;
  }

  .issuable-sidebar-header {
    position: relative;
  }

  .gutter-toggle {
    position: absolute;
    top: 0;
    bottom: 15px;
    right: 0;
    width: 22px;
    color: $gray-darkest;

    svg {
      position: absolute;
      top: 50%;
      margin-top: (-11px / 2);
    }

    &:hover {
      path {
        fill: $gray-darkest;
      }
    }
  }

  .issuable-header-text {
    padding-right: 35px;

    > strong {
      font-weight: 600;
    }
  }
}

.right-sidebar.right-sidebar-expanded {
  &.boards-sidebar-slide-enter-active,
  &.boards-sidebar-slide-leave-active {
    transition: width .2s,
                padding .2s;
  }

  &.boards-sidebar-slide-enter,
  &.boards-sidebar-slide-leave-active {
    width: 0;
    padding-left: 0;
    padding-right: 0;
  }
}

.add-issues-modal {
  display: -webkit-flex;
  display: flex;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: rgba($black, .3);
  z-index: 9999;
}

.add-issues-container {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: column;
  flex-direction: column;
  width: 90vw;
  height: 85vh;
  max-width: 1100px;
  min-height: 500px;
  margin: auto;
  padding: 25px 15px 0;
  background-color: $white-light;
  border-radius: $border-radius-default;
  box-shadow: 0 2px 12px rgba($black, .5);

  .empty-state {
    display: -webkit-flex;
    display: flex;
    -webkit-flex: 1;
    flex: 1;
    margin-top: 0;

    &.add-issues-empty-state-filter {
      -webkit-flex-direction: column;
      flex-direction: column;
      -webkit-justify-content: center;
      justify-content: center;
    }

    > .row {
      width: 100%;
      margin: auto 0;
    }

    .svg-content {
      margin-top: -40px;
    }
  }
}

.add-issues-header {
  margin: -25px -15px -5px;
  border-top: 0;
  border-bottom: 1px solid $border-color;
  border-top-right-radius: $border-radius-default;
  border-top-left-radius: $border-radius-default;

  > h2 {
    margin: 0;
    font-size: 18px;
  }
}

.add-issues-search {
  display: -webkit-flex;
  display: flex;

  .form-control {
    margin-left: auto;

    @media (min-width: $screen-sm-min) {
      max-width: 200px;
    }
  }
}

.add-issues-list-column {
  width: 100%;

  @media (min-width: $screen-sm-min) {
    width: 50%;
  }

  @media (min-width: $screen-md-min) {
    width: (100% / 3);
  }
}

.add-issues-list {
  display: -webkit-flex;
  display: flex;
  -webkit-flex: 1;
  flex: 1;
  padding-top: 3px;
  margin-left: -$gl-vert-padding;
  margin-right: -$gl-vert-padding;
  overflow-y: scroll;

  .card-parent {
    padding: 0 5px 5px;
  }

  .card {
    border: 1px solid $border-gray-dark;
    box-shadow: 0 1px 2px rgba($issue-boards-card-shadow, .3);
    cursor: pointer;
  }
}

.add-issues-list-loading {
  -webkit-align-self: center;
  align-self: center;
  width: 100%;
  padding-left: $gl-vert-padding;
  padding-right: $gl-vert-padding;
  font-size: 35px;
}

.add-issues-footer {
  margin: auto -15px 0;
  padding-left: 15px;
  padding-right: 15px;
  border-bottom-right-radius: $border-radius-default;
  border-bottom-left-radius: $border-radius-default;
}

.add-issues-footer-to-list {
  padding-left: $gl-vert-padding;
  padding-right: $gl-vert-padding;
  line-height: 34px;
}

.issue-card-selected {
  position: absolute;
  right: -3px;
  top: -3px;
  width: 17px;
  background-color: $blue-light;
  color: $white-light;
  border: 1px solid $border-blue-light;
  font-size: 9px;
  line-height: 15px;
  border-radius: 50%;
}

.modal-filters {
  display: flex;

  > .dropdown {
    display: none;
    margin-right: 10px;

    @media (min-width: $screen-sm-min) {
      display: block;
    }
  }

  .dropdown-menu-toggle {
    width: 100px;

    @media (min-width: $screen-md-min) {
      width: 140px;
    }
  }
}
